Subject: Re: [netmod] I-D Action: draft-ietf-netmod-module-tags-09.txt

From: Qin Wu <[email-masked]>
Date: Fri, 4 Oct 2019 00:16:20 +0000

Agree with Andy, I am wondering whether masked-tag should be changed into config-false node?
If masked-tag is not client generated configuration or system generated configuration, what it should be?  System-state?

-Qin
发件人: netmod [mailto:[email-masked]] 代表 Andy Bierman
发送时间: 2019年10月4日 0:25
收件人: Christian Hopps <[email-masked]>
抄送: [email-masked]
主题: Re: [netmod] I-D Action: draft-ietf-netmod-module-tags-09.txt

On Thu, Oct 3, 2019 at 8:59 AM Christian Hopps <[email-masked]<mailto:[email-masked]>> wrote:

> On Oct 3, 2019, at 11:30 AM, Rob Wilton (rwilton) <[email-masked]<mailto:[email-masked]>> wrote:
>
> Hi Chris,
>
>> -----Original Message-----
>> From: Christian Hopps <[email-masked]<mailto:[email-masked]>>
>> Sent: 03 October 2019 16:16
>> To: Rob Wilton (rwilton) <[email-masked]<mailto:[email-masked]>>
>> Cc: Christian Hopps <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
>> Subject: Re: [netmod] I-D Action: draft-ietf-netmod-module-tags-09..txt
>>
>> [resending to include list cc]
>>
>>> On Oct 3, 2019, at 5:45 AM, Rob Wilton (rwilton) <[email-masked]<mailto:[email-masked]>>
>> wrote:
>>>
>>> Hi Chris,
>>>
>>> As discussed offline, you have left out the "masked-tag" container in
>> the "modules-tags-state" module.
>>
>> One might read this as an objection that was discussed offline, but I
>> don't think you are objecting, you're just stating what happened, correct?
>
> Correct, not objecting, although I might be about to 😉
>
> Generally, I think that is what is available in "module-tags-state" should be directly equivalent to what is available in the operational datastore for servers that support NMDA.

So is this how we're supposed to construct these deprecated state modules, just copy all config true and config false nodes into a new module and mark them all config false? If so fine. I will do that.

IMO the deprecated state module only needs a config=false version of the config=true NMDA nodes.
Since config=true validation statements are not allowed to reference config=false nodes it should
always be possible to remove the config=false nodes from the deprecated state module.

Otherwise the config=false nodes show up twice for non-NMDA clients  because they can
read the NMDA config=false nodes just fine.  (The NMDA transition strategy is vague and
using the /yang-library tree to hide objects is too complicated, but that is not in scope for module-tags.)

Thanks,
Chris.

Andy

_______________________________________________
netmod mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netmod

---

From: Andy Bierman <[email-masked]>
Date: Thu, 3 Oct 2019 18:36:02 -0700

On Thu, Oct 3, 2019 at 5:16 PM Qin Wu <[email-masked]> wrote:

> If masked-tag is not client generated configuration or system generated
> configuration, what it should be?  System-state?
>
>
>

I am not suggesting any changes to the module-tags module.
Just follow the procedure in RFC 8407, sec. 4.23.3.1

Andy

> -Qin
>
> *发件人:* netmod [mailto:[email-masked]] *代表 *Andy Bierman
> *发送时间:* 2019年10月4日 0:25
> *收件人:* Christian Hopps <[email-masked]>
> *抄送:* [email-masked]
> *主题:* Re: [netmod] I-D Action: draft-ietf-netmod-module-tags-09.txt
>
>
>
>
>
>
>
> On Thu, Oct 3, 2019 at 8:59 AM Christian Hopps <[email-masked]> wrote:
>
>
> > On Oct 3, 2019, at 11:30 AM, Rob Wilton (rwilton) <[email-masked]>
> wrote:
> >
> > Hi Chris,
> >
> >> From: Christian Hopps <[email-masked]>
> >> To: Rob Wilton (rwilton) <[email-masked]>
> >> Cc: Christian Hopps <[email-masked]>; [email-masked]
> >>> On Oct 3, 2019, at 5:45 AM, Rob Wilton (rwilton) <[email-masked]>
> >> wrote:
> >>>
> >>> Hi Chris,
> >>>
> > Generally, I think that is what is available in "module-tags-state"
> should be directly equivalent to what is available in the operational
> datastore for servers that support NMDA.
>
> So is this how we're supposed to construct these deprecated state modules,
> just copy all config true and config false nodes into a new module and mark
> them all config false? If so fine. I will do that.
>
>
>
>
>
> [email-masked]